Skip to content
VirtlixCP

Documentation / API

Server Access

List Server Access

GET /server/{server_id}/access

A list of Server Accesses that are currently on the server.

Response 200: A list of Server Accesses

Field Type Description
client object
client.billing object
client.billing_id integer
client.created_at object
client.email string
client.first string
client.id integer VirtlixCP-specific unique identifier used for URLs, etc.
client.integration object
client.last string
client.name string
client.serversCount integer
id integer VirtlixCP-specific unique identifier used for URLs, etc.
ipmi boolean Whether or not the Client has been granted IPMI access to the server
is_active boolean Whether or not the Client's access to the server has been suspended
pxe boolean Whether or not the Client has been granted OS Reload access to the server
switch boolean Whether or not the Client has been granted access to turn on/off the server's switch port

Delete Server Access

DELETE /server/{server_id}/access/{server_access_id}

Response 200: Server Access deleted.

View Server Access

GET /server/{server_id}/access/{server_access_id}

Response 200: A Server Access

Field Type Description
client object
client.billing object
client.billing_id integer
client.created_at object
client.email string
client.first string
client.id integer VirtlixCP-specific unique identifier used for URLs, etc.
client.integration object
client.last string
client.name string
client.serversCount integer
id integer VirtlixCP-specific unique identifier used for URLs, etc.
ipmi boolean Whether or not the Client has been granted IPMI access to the server
is_active boolean Whether or not the Client's access to the server has been suspended
pxe boolean Whether or not the Client has been granted OS Reload access to the server
switch boolean Whether or not the Client has been granted access to turn on/off the server's switch port